//
//  APIError.swift
//  Rocket.Chat
//
//  Created by Matheus Cardoso on 11/27/17.
//  Copyright © 2017 Rocket.Chat. All rights reserved.
//

import Foundation

typealias APIErrored = (APIError) -> Void

enum APIError: CustomStringConvertible {
    case version(available: Version, required: Version)
    case error(Error)
    case noData
    case malformedRequest

    var description: String {
        switch self {
        case .error(let error):
            return error.localizedDescription
        default:
            return "\(self)"
        }
    }
}
